Groovy 1.7.0

## org.codehaus.groovy.tools.shell
Class Groovysh

    java.lang.Object
      org.codehaus.groovy.tools.shell.Shell
          org.codehaus.groovy.tools.shell.Groovysh

    class Groovysh
    extends Shell

An interactive shell for evaluating Groovy code from the command-line (aka. groovysh).

version:
  $Id: Groovysh.groovy 17536 2009-09-04 01:42:05Z glaforge $

author:
  Jason Dillon

Property Summary
`BufferManager` | `buffers`
`Closure` | `defaultErrorHook`
`Closure` | `defaultResultHook`
`Closure` | `errorHook`
`History` | `history`
`List` | `imports`
`Interpreter` | `interp`
`Parser` | `parser`
`Closure` | `resultHook`
`InteractiveShellRunner` | `runner`

Constructor Summary
`Groovysh(ClassLoader classLoader, Binding binding, IO io, Closure registrar)`
`Groovysh(ClassLoader classLoader, Binding binding, IO io)`
`Groovysh(Binding binding, IO io)`
`Groovysh(IO io)`
`Groovysh()`

Method Summary
`Object` | `execute(String line)` Execute a single line, where the line may be a command or Groovy code (complete or incomplete).
`protected Object` | `executeCommand(String line)`
`File` | `getUserStateDirectory()`
`int` | `run(String[] args)`
`int` | `run(String commandLine)`

Methods inherited from class Shell
leftShift, leftShift, parseLine

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Property Detail

### buffers

    final BufferManager buffers

### defaultErrorHook

    final Closure defaultErrorHook

### defaultResultHook

    final Closure defaultResultHook

### errorHook

    Closure errorHook

### history

    History history

### imports

    final List imports

### interp

    final Interpreter interp

### parser

    final Parser parser

### resultHook

    Closure resultHook

### runner

    InteractiveShellRunner runner

Constructor Detail

### Groovysh

    public Groovysh(ClassLoader classLoader, Binding binding, IO io, Closure registrar)

### Groovysh

    public Groovysh(ClassLoader classLoader, Binding binding, IO io)

### Groovysh

    public Groovysh(Binding binding, IO io)

### Groovysh

    public Groovysh(IO io)

### Groovysh

    public Groovysh()

Method Detail

### execute

    Object execute(String line)

  Execute a single line, where the line may be a command or Groovy code (complete or incomplete).

### executeCommand

    protected Object executeCommand(String line)

### getUserStateDirectory

    File getUserStateDirectory()

### run

    int run(String[] args)

### run

    int run(String commandLine)

Copyright © 2003-2009 The Codehaus. All rights reserved.